Bug 1904578 - metric scraping for vsphere problem detector is not configured
Summary: metric scraping for vsphere problem detector is not configured
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Storage
Version: 4.7
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
: 4.7.0
Assignee: Jan Safranek
QA Contact: Qin Ping
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-12-04 19:53 UTC by Hemant Kumar
Modified: 2021-02-24 15:40 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-02-24 15:38:11 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift cluster-storage-operator pull 107 0 None closed Bug 1904578: Configure metrics scraping 2021-01-29 12:42:18 UTC
Red Hat Product Errata RHSA-2020:5633 0 None None None 2021-02-24 15:40:03 UTC

Comment 4 Qin Ping 2020-12-16 03:35:09 UTC
In 4.7.0-0.nightly-2020-12-14-165231 cluster, we can see:
$ oc -n openshift-monitoring exec -c prometheus prometheus-k8s-0 -- curl -k -H "Authorization: Bearer $token" 'https://prometheus-k8s.openshift-monitoring.svc:9091/api/v1/query?query=vsphere_cluster_check_total' | jq
  % Total    % Received % Xferd  Average Speed   Time    Time     Time  Current
                                 Dload  Upload   Total   Spent    Left  Speed
100  2365    0  2365    0     0  81551      0 --:--:-- --:--:-- --:--:-- 81551
{
  "status": "success",
  "data": {
    "resultType": "vector",
    "result": [
      {
        "metric": {
          "__name__": "vsphere_cluster_check_total",
          "check": "CheckDefaultDatastore",
          "container": "vsphere-problem-detector",
          "endpoint": "https",
          "instance": "10.129.0.64:8444",
          "job": "vsphere-problem-detector-metrics",
          "namespace": "openshift-cluster-storage-operator",
          "pod": "cluster-storage-operator-54d959f78b-v4vf2",
          "service": "vsphere-problem-detector-metrics"
        },
        "value": [
          1608089459.221,
          "1"
        ]
      },
      {
        "metric": {
          "__name__": "vsphere_cluster_check_total",
          "check": "CheckFolderPermissions",
          "container": "vsphere-problem-detector",
          "endpoint": "https",
          "instance": "10.129.0.64:8444",
          "job": "vsphere-problem-detector-metrics",
          "namespace": "openshift-cluster-storage-operator",
          "pod": "cluster-storage-operator-54d959f78b-v4vf2",
          "service": "vsphere-problem-detector-metrics"
        },
        "value": [
          1608089459.221,
          "1"
        ]
      },
...

Comment 7 errata-xmlrpc 2021-02-24 15:38:11 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.7.0 security, bug fix, and enhancement update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:5633


Note You need to log in before you can comment on or make changes to this bug.